#
# spec file for package gtkdoc (Version 0.7 )
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  docbktls docbook-dsssl-stylesheets docbook_3 glib glib-devel gtk gtk-devel iso_ent jade_dsl libtool sp sp-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbktls docbook-dsssl-stylesheets docbook_3 e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip iso_ent jade_dsl kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         gtkdoc
%define prefix	/usr
Copyright:	1995-2000 Spencer Kimball, Peter Mattis and others
Group:	        X11/GNOME/Development	
Provides:	gtk-doc
Requires:	docbkdsl
Requires:	sp
Requires:	sp_libs
Autoreqprov:	on
Version:      0.7 
Release:      86
Summary:      An insource documentation system using SGML
Source:		gtk-doc-%{version}.tar.bz2
Patch0:		gtkdoc.dif
BuildRoot:      /var/tmp/build-gtkdoc-root

%description
Gtkdoc is a very versatile product to create insource documentation. It uses
special comments in the sourcecode to produce SGML output which can be convertedto any desired format, including HTML with CSS. It's usage similar to javadoc
but a lot more powerful. Although the name suggests that this package is merely
used with Gtk+, this is not completely true anymore.

Authors:
--------
    Damon Chaplin <damon@karuna.freeserve.co.uk>
    Owen Taylor <otaylor@redhat.com>

SuSE series: doc

%prep
%setup -n gtk-doc-%{version}
%patch0
./configure \
	--prefix=%{prefix} \
	--with-dsssl-dir=%{prefix}/share/sgml/docbkdsl \
        --mandir=%{_mandir} 

%build
make

%install
make prefix=$RPM_BUILD_ROOT%{prefix} mandir=$RPM_BUILD_ROOT%{_mandir} \
  install

%files 
%dir %{prefix}/share/gtk-doc
%{prefix}/share/gtk-doc/gtk-doc.dsl
%{prefix}/bin/gtkdoc-*

%clean 
rm -rf $RPM_BUILD_ROOT

%changelog -n gtkdoc
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Wed Aug 08 2001 - hhetter@suse.de
- updated to version 0.7
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Mon Jan 01 2001 - egger@suse.de
- Updated to the real 0.4 instead of using a CVS snapshot.
- Fixed specfile and use BuildRoot.
- Cleaned up neededforbuild.
- Recompressed with bzip2.
- Added proper group tag.
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Thu Jun 08 2000 - egger@suse.de
- Try whether an additional gtk_signal_init() solves our
  misterious problems.
* Wed May 10 2000 - egger@suse.de
- Changed version on request of bk@suse.de.
* Mon Apr 10 2000 - egger@suse.de
- Reenabled the package.
  Please note due to general confusion: This is != gtkref!
* Thu Mar 30 2000 - egger@suse.de
- Renamed also the dir to gtkdoc.
* Thu Mar 23 2000 - egger@suse.de
- Inital version.
